Bug 177791 - 2.6.14 kernel from rpm panics early in boot process
2.6.14 kernel from rpm panics early in boot process
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 20:07 EST by Mark Luntzel
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 22:01:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Luntzel 2006-01-13 20:07:32 EST
Description of problem:

on booting any of the 2.6.14 kernels from FC4 rpms, this occurs:

Booting 'Fedora Core (2.6.14-1.1656_FC4)'

root (hd0,0)
Filesystem type is ext2fs, partition type 0x83
kernel /boot/vmlinuz-2.6.14-1.1656_FC4 ro root=LABEL=/ quiet
[Linux-bzimage, setup=0x1e00, size=0x178b66]
initrd /boot/initrd-2.6.14-1.1656_FC4.img
[Linux-initrd @ 0x37ec7000, 0x128125 bytes]

Uncompressing Linux... OK, booting the kernel.
Red Hat nash version 4.2.15 starting
mkrootdev: label / not found
mount: error 2 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
switchroot: mount failed: 22
Kernel panic - not syncing: Attempted to kill init!

-----
HARDWARE INFO
-----
mobo: Asus A7V880 KT880
RAM: 1 GB single-channel PC3200 DDR400 (2x512 dimms)

here is dmesg from the 2.6.13 boot:

-----------

Linux version 2.6.13-1.1532_FC4 (bhcompile@tweety.build.redhat.com) (gcc version
4.0.1 20050727 (Red Hat 4.0.1-5)) #1 Thu Oct 20 01:30:08 EDT 2005
BIOS-provided physical RAM map:
BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
BIOS-e820: 0000000000100000 - 000000003ff40000 (usable)
BIOS-e820: 000000003ff40000 - 000000003ff50000 (ACPI data)
BIOS-e820: 000000003ff50000 - 0000000040000000 (ACPI NVS)
BIOS-e820: 00000000ff7c0000 - 0000000100000000 (reserved)
127MB HIGHMEM available.
896MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 261952
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 32576 pages, LIFO batch:15
DMI 2.3 present.
ACPI: RSDP (v000 ACPIAM                                ) @ 0x000f9190
ACPI: RSDT (v001 A M I  OEMRSDT  0x09000502 MSFT 0x00000097) @ 0x3ff40000
ACPI: FADT (v002 A M I  OEMFACP  0x09000502 MSFT 0x00000097) @ 0x3ff40200
ACPI: MADT (v001 A M I  OEMAPIC  0x09000502 MSFT 0x00000097) @ 0x3ff40300
ACPI: OEMB (v001 A M I  OEMBIOS  0x09000502 MSFT 0x00000097) @ 0x3ff50040
ACPI: DSDT (v001  A0008 A0008705 0x00000705 INTL 0x02002026) @ 0x00000000
ACPI: PM-Timer IO Port: 0x808
Allocating PCI resources starting at 40000000 (gap: 40000000:bf7c0000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/ rhgb quiet
Initializing CPU#0
CPU 0 irqstacks, hard=c04e7000 soft=c04e6000
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 1250.252 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 1032216k/1047808k available (3085k kernel code, 14628k reserved, 704k
data, 176k init, 130304k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 2506.12 BogoMIPS (lpj=5012258)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0383fbff c1c3fbff 00000000 00000000 00000000
00000000 00000000
CPU: After vendor identify, caps: 0383fbff c1c3fbff 00000000 00000000 00000000
00000000 00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
CPU: After all inits, caps: 0383f3ff c1c3fbff 00000000 00000020 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
mtrr: v2.0 (20020519)
CPU: AMD Athlon(tm)  stepping 01
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 0c28)
checking if image is initramfs... it is
Freeing initrd memory: 1219k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=1
PCI: Using configuration type 1
ACPI: Subsystem revision 20050408
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
ACPI: Assume root bridge [\_SB_.PCI0] segment is 0
Boot video device is 0000:01:00.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 7 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs *3 4 5 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 7 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 *5 7 10 11 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 7 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 7 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 7 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 7 10 11 14 15) *0, disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 13 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:0a: ioport range 0x480-0x487 has been reserved
pnp: 00:0a: ioport range 0xc00-0xc7f has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: fb700000-fd8fffff
  PREFETCH window: 97f00000-a7efffff
PCI: Setting latency timer of device 0000:00:01.0 to 64
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1136970897.452:1): initialized
highmem bounce pool size: 64 pages
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key EEDDDBBBC3364C64
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: CPU0 (power states: C1[C1])
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected VIA KT880 chipset
agpgart: AGP aperture is 128M @ 0xe0000000
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 32 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 3
PCI: setting IRQ 3 as level-triggered
ACPI: PCI Interrupt 0000:00:0e.0[A] -> Link [LNKB] -> GSI 3 (level, low) -> IRQ 3
ttyS4: detected caps 00000700 should be 00000100
ttyS4 at I/O 0xedc0 (irq = 3) is a 16C950/954
ttyS5: detected caps 00000700 should be 00000100
ttyS5 at I/O 0xedc8 (irq = 3) is a 16C950/954
ttyS6: detected caps 00000700 should be 00000100
ttyS6 at I/O 0xedd0 (irq = 3) is a 16C950/954
ttyS7: detected caps 00000700 should be 00000100
ttyS7 at I/O 0xedd8 (irq = 3) is a 16C950/954
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 0000:00:0f.1
ACPI: PCI Interrupt 0000:00:0f.1[A] -> Link [LNKB] -> GSI 3 (level, low) -> IRQ 3
PCI: Via IRQ fixup for 0000:00:0f.1, from 255 to 3
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt8237 (rev 00) IDE UDMA133 controller on pci0000:00:0f.1
    ide0: BM-DMA at 0xfc00-0xfc07, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xfc08-0xfc0f, BIOS settings: hdc:pio, hdd:pio
Probing IDE interface ide0...
hda: HL-DT-STDVD-ROM GDR8163B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
Probing IDE interface ide1...
hda: ATAPI 52X DVD-ROM drive, 256kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.2 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 3.38
NET: Registered protocol family 2
input: AT Translated Set 2 keyboard on isa0060/serio0
IP route cache hash table entries: 65536 (order: 6, 262144 bytes)
TCP established hash table entries: 262144 (order: 9, 2097152 bytes)
TCP bind hash table entries: 65536 (order: 8, 1835008 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI Shortcut mode
ACPI wakeup devices:
PCI0 PS2K PS2M UAR1 USB1 USB2 USB3 USB4 EHCI VUSB PCI1 PCI2 PCI3 PCI4 PCI5 SLPB
ACPI: (supports S0 S1 S3 S4 S5)
Freeing unused kernel memory: 176k freed
SCSI subsystem initialized
libata version 1.12 loaded.
sata_sil version 0.9
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
PCI: setting IRQ 10 as level-triggered
ACPI: PCI Interrupt 0000:00:13.0[A] -> Link [LNKC] -> GSI 10 (level, low) -> IRQ 10
ata1: SATA max UDMA/100 cmd 0xF8804080 ctl 0xF880408A bmdma 0xF8804000 irq 10
ata2: SATA max UDMA/100 cmd 0xF88040C0 ctl 0xF88040CA bmdma 0xF8804008 irq 10
ata3: SATA max UDMA/100 cmd 0xF8804280 ctl 0xF880428A bmdma 0xF8804200 irq 10
ata4: SATA max UDMA/100 cmd 0xF88042C0 ctl 0xF88042CA bmdma 0xF8804208 irq 10
input: ImExPS/2 Generic Explorer Mouse on isa0060/serio1
ata1: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4003 85:7c69 86:3e01 87:4003 88:207f
ata1: dev 0 ATA, max UDMA/133, 320173056 sectors: lba48
ata1: dev 0 configured for UDMA/100
scsi0 : sata_sil
ata2: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4003 85:7c69 86:3e01 87:4003 88:207f
ata2: dev 0 ATA, max UDMA/133, 320173056 sectors: lba48
ata2: dev 0 configured for UDMA/100
scsi1 : sata_sil
ata3: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4003 85:7c69 86:3e01 87:4003 88:207f
ata3: dev 0 ATA, max UDMA/133, 320173056 sectors: lba48
ata3: dev 0 configured for UDMA/100
scsi2 : sata_sil
ata4: dev 0 cfg 49:2f00 82:7c6b 83:7f09 84:4003 85:7c69 86:3e01 87:4003 88:207f
ata4: dev 0 ATA, max UDMA/133, 320173056 sectors: lba48
ata4: dev 0 configured for UDMA/100
scsi3 : sata_sil
  Vendor: ATA       Model: Maxtor 6Y160M0    Rev: YAR5
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 320173056 512-byte hdwr sectors (163929 MB)
SCSI device sda: drive cache: write back
SCSI device sda: 320173056 512-byte hdwr sectors (163929 MB)
SCSI device sda: drive cache: write back
sda: sda1 sda2 sda3 sda4 < sda5 >
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
  Vendor: ATA       Model: Maxtor 6Y160M0    Rev: YAR5
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdb: 320173056 512-byte hdwr sectors (163929 MB)
SCSI device sdb: drive cache: write back
SCSI device sdb: 320173056 512-byte hdwr sectors (163929 MB)
SCSI device sdb: drive cache: write back
sdb: sdb1
Attached scsi disk sdb at scsi1, channel 0, id 0, lun 0
  Vendor: ATA       Model: Maxtor 6Y160M0    Rev: YAR5
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdc: 320173056 512-byte hdwr sectors (163929 MB)
SCSI device sdc: drive cache: write back
SCSI device sdc: 320173056 512-byte hdwr sectors (163929 MB)
SCSI device sdc: drive cache: write back
sdc: sdc1
Attached scsi disk sdc at scsi2, channel 0, id 0, lun 0
  Vendor: ATA       Model: Maxtor 6Y160M0    Rev: YAR5
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdd: 320173056 512-byte hdwr sectors (163929 MB)
SCSI device sdd: drive cache: write back
SCSI device sdd: 320173056 512-byte hdwr sectors (163929 MB)
SCSI device sdd: drive cache: write back
sdd:
Attached scsi disk sdd at scsi3, channel 0, id 0, lun 0
sata_via version 1.1
ACPI: PCI Interrupt 0000:00:0f.0[B] -> Link [LNKC] -> GSI 10 (level, low) -> IRQ 10
sata_via(0000:00:0f.0): routed to hard irq line 10
ata5: SATA max UDMA/133 cmd 0xEFA0 ctl 0xEF8E bmdma 0xEE90 irq 10
ata6: SATA max UDMA/133 cmd 0xEEF0 ctl 0xEF8A bmdma 0xEE98 irq 10
ata5: no device found (phy stat 00000000)
scsi4 : sata_via
ata6: no device found (phy stat 00000000)
scsi5 : sata_via
md: raid1 personality registered as nr 3
md: Autodetecting RAID arrays.
md: autorun ...
md: considering sdc1 ...
md:  adding sdc1 ...
md: created md0
md: bind<sdc1>
md: running: <sdc1>
raid1: raid set md0 active with 1 out of 2 mirrors
md: ... autorun DONE.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
ACPI: PCI Interrupt 0000:00:09.0[A] -> Link [LNKC] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI Interrupt 0000:00:09.0[A] -> Link [LNKC] -> GSI 10 (level, low) -> IRQ 10
eth0: Yukon Gigabit Ethernet 10/100/1000Base-T Adapter
      PrefPort:A  RlmtMode:Check Link State
snd: no version for "struct_module" found: kernel tainted.
ACPI: PCI Interrupt 0000:00:11.5[C] -> Link [LNKC] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:00:11.5 to 64
ALSA
/var/tmp/bach-build/BUILD/alsa-driver-1.0.10rc3/pci/../alsa-kernel/pci/via82xx.c:583:
codec_read: codec 0 is not valid [0x107e5368]
ALSA
/var/tmp/bach-build/BUILD/alsa-driver-1.0.10rc3/pci/../alsa-kernel/pci/via82xx.c:583:
codec_read: codec 0 is not valid [0x107e5368]
ALSA
/var/tmp/bach-build/BUILD/alsa-driver-1.0.10rc3/pci/../alsa-kernel/pci/via82xx.c:583:
codec_read: codec 0 is not valid [0x107e5368]
ALSA
/var/tmp/bach-build/BUILD/alsa-driver-1.0.10rc3/pci/../alsa-kernel/pci/via82xx.c:583:
codec_read: codec 0 is not valid [0x107e5368]
Linux video capture interface: v1.00
ivtv:  ==================== START INIT IVTV ====================
ivtv:  version 0.4.0 (tagged release) loading
ivtv:  Linux version: 2.6.13-1.1532_FC4 686 REGPARM 4KSTACKS gcc-4.0
ivtv:  In case of problems please include the debug info
ivtv:  between the START INIT IVTV and END INIT IVTV lines when
ivtv:  mailing the ivtv-devel mailinglist.
ivtv0: Autodetected WinTV PVR 150 card (iTVC16 based)
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI Interrupt 0000:00:0a.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
tveeprom: ivtv version
tveeprom: Hauppauge: model = 26552, rev = C268, serial# = 8401771
tveeprom: tuner = LG TAPE H001F MK3 (idx = 68, type = 47)
tveeprom: tuner fmt = NTSC(M) (eeprom = 0x08, v4l2 = 0x00001000)
tveeprom: audio processor = CX25843 (type = 25)
tveeprom: decoder processor = CX25843 (type = 1e)
ivtv0: i2c attach to card #0 ok [client=tveeprom, addr=50]
: chip found @ 0xc2 (ivtv i2c driver #0)
ivtv0: i2c attach to card #0 ok [client=(tuner unset), addr=61]
cx25840 0-0044: cx25843-23 found @ 0x88 (ivtv i2c driver #0)
cx25840 0-0044: loaded /lib/modules/HcwMakoA.ROM firmware (14264 bytes)
ivtv0: i2c attach to card #0 ok [client=cx25840, addr=44]
wm8775 0-001b: chip found @ 0x36 (ivtv i2c driver #0)
ivtv0: i2c attach to card #0 ok [client=wm8775, addr=1b]
tda9885/6/7: chip found @ 0x86
ivtv0: i2c attach to card #0 ok [client=tda9887, addr=43]
ivtv0: loading /lib/modules/ivtv-fw-enc.bin
ivtv0: Encoder revision: 0x02040024
ivtv0 warning: Encoder Firmware can be buggy, use version 0x02040011 or 0x02050032.
ivtv0: Allocate DMA encoder MPEG stream: 128 x 32768 buffers (4096KB total)
ivtv0: Allocate DMA encoder YUV stream: 194 x 10800 buffers (2048KB total)
ivtv0: Allocate DMA encoder VBI stream: 120 x 17472 buffers (2048KB total)
ivtv0: Allocate DMA encoder PCM audio stream: 455 x 4608 buffers (2048KB total)
ivtv0: Create encoder radio stream
tuner 0-0061: type set to 47 (LG NTSC (TAPE series))
ivtv0: Initialized WinTV PVR 150, card #0
ivtv:  ======================  NEXT CARD  ======================
ivtv1: Autodetected WinTV PVR 150 card (iTVC16 based)
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 5
PCI: setting IRQ 5 as level-triggered
ACPI: PCI Interrupt 0000:00:0c.0[A] -> Link [LNKD] -> GSI 5 (level, low) -> IRQ 5
tveeprom: The eeprom says no radio is present, but the tuner type 68
tveeprom: indicates otherwise. I will assume that radio is present.
tveeprom: ivtv version
tveeprom: Hauppauge: model = 26552, rev = C268, serial# = 8200629
tveeprom: tuner = LG TAPE H001F MK3 (idx = 68, type = 47)
tveeprom: tuner fmt = NTSC(M) (eeprom = 0x08, v4l2 = 0x00001000)
tveeprom: audio processor = CX25843 (type = 25)
tveeprom: decoder processor = CX25843 (type = 1e)
ivtv1: i2c attach to card #1 ok [client=tveeprom, addr=50]
: chip found @ 0xc2 (ivtv i2c driver #1)
ivtv1: i2c attach to card #1 ok [client=(tuner unset), addr=61]
cx25840 1-0044: cx25843-23 found @ 0x88 (ivtv i2c driver #1)
cx25840 1-0044: loaded /lib/modules/HcwMakoA.ROM firmware (14264 bytes)
ivtv1: i2c attach to card #1 ok [client=cx25840, addr=44]
wm8775 1-001b: chip found @ 0x36 (ivtv i2c driver #1)
ivtv1: i2c attach to card #1 ok [client=wm8775, addr=1b]
tda9885/6/7: chip found @ 0x86
ivtv1: i2c attach to card #1 ok [client=tda9887, addr=43]
ivtv1: loading /lib/modules/ivtv-fw-enc.bin
ivtv1: Encoder revision: 0x02040024
ivtv1 warning: Encoder Firmware can be buggy, use version 0x02040011 or 0x02050032.
ivtv1: Allocate DMA encoder MPEG stream: 128 x 32768 buffers (4096KB total)
ivtv1: Allocate DMA encoder YUV stream: 194 x 10800 buffers (2048KB total)
ivtv1: Allocate DMA encoder VBI stream: 120 x 17472 buffers (2048KB total)
ivtv1: Allocate DMA encoder PCM audio stream: 455 x 4608 buffers (2048KB total)
ivtv1: Create encoder radio stream
tuner 1-0061: type set to 47 (LG NTSC (TAPE series))
ivtv1: Initialized WinTV PVR 150, card #1
ivtv:  ======================  NEXT CARD  ======================
ivtv2: Autodetected WinTV PVR 250 card (iTVC16 based)
ACPI: PCI Interrupt 0000:00:0d.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
tveeprom: ivtv version
tveeprom: Hauppauge: model = 32062, rev = B185, serial# = 7478102
tveeprom: tuner = TCL 2002N 6A (idx = 85, type = 50)
tveeprom: tuner fmt = NTSC(M) (eeprom = 0x08, v4l2 = 0x00001000)
tveeprom: audio processor = MSP3445 (type = c)
tveeprom: decoder processor = SAA7115 (type = 13)
ivtv2: i2c attach to card #2 ok [client=tveeprom, addr=50]
: chip found @ 0xc2 (ivtv i2c driver #2)
ivtv2: i2c attach to card #2 ok [client=(tuner unset), addr=61]
saa7115 2-0021: saa7115 found @ 0x42 (ivtv i2c driver #2)
ivtv2: i2c attach to card #2 ok [client=saa7115, addr=21]
msp34xx: ivtv version
msp34xx: init: chip=MSP3445G-B8, has NICAM support, simple (D) mode, simpler (G)
no-thread mode
msp34xx: $Id$ compiled on: Oct 21 2005 02:12:13
ivtv2: i2c attach to card #2 ok [client=MSP3445G-B8, addr=40]
ivtv2: loading /lib/modules/ivtv-fw-enc.bin
ivtv2: Encoder revision: 0x02040024
ivtv2 warning: Encoder Firmware can be buggy, use version 0x02040011 or 0x02050032.
ivtv2: Allocate DMA encoder MPEG stream: 128 x 32768 buffers (4096KB total)
ivtv2: Allocate DMA encoder YUV stream: 194 x 10800 buffers (2048KB total)
ivtv2: Allocate DMA encoder VBI stream: 120 x 17472 buffers (2048KB total)
ivtv2: Allocate DMA encoder PCM audio stream: 455 x 4608 buffers (2048KB total)
tuner 2-0061: type set to 50 (TCL 2002N)
ivtv2: Initialized WinTV PVR 250, card #2
ivtv:  ====================  END INIT IVTV  ====================
lirc_dev: IR Remote Control driver registered, at major 61
bttv: disagrees about version of symbol tveeprom_hauppauge_analog
bttv: Unknown symbol tveeprom_hauppauge_analog
cx88xx: disagrees about version of symbol tveeprom_hauppauge_analog
cx88xx: Unknown symbol tveeprom_hauppauge_analog
cx8800: Unknown symbol cx88_reset
cx8800: Unknown symbol cx88_call_i2c_clients
cx8800: Unknown symbol cx88_wakeup
cx8800: Unknown symbol cx88_risc_stopper
cx8800: Unknown symbol cx88_print_irqbits
cx8800: Unknown symbol cx88_set_scale
cx8800: Unknown symbol cx88_shutdown
cx8800: Unknown symbol cx88_vdev_init
cx8800: Unknown symbol cx88_core_put
cx8800: Unknown symbol cx88_audio_thread
cx8800: Unknown symbol cx88_core_irq
cx8800: Unknown symbol cx88_core_get
cx8800: Unknown symbol cx88_get_stereo
cx8800: Unknown symbol cx88_set_tvnorm
cx8800: Unknown symbol cx88_risc_buffer
cx8800: Unknown symbol cx88_set_stereo
cx8800: Unknown symbol cx88_sram_channels
cx8800: Unknown symbol cx88_set_tvaudio
cx8800: Unknown symbol cx88_sram_channel_dump
cx8800: Unknown symbol cx88_sram_channel_setup
cx8800: Unknown symbol cx88_print_ioctl
cx8800: Unknown symbol cx88_free_buffer
cx8800: Unknown symbol cx88_boards
cx8800: Unknown symbol cx88_newstation
lirc_i2c: chip found @ 0x18 (Hauppauge IR)
ivtv2: i2c attach to card #2 ok [client=Hauppauge IR, addr=18]
lirc_dev: lirc_register_plugin: sample_rate: 10
shpchp: shpc_init : shpc_cap_offset == 0
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
USB Universal Host Controller Interface driver v2.3
ACPI: PCI Interrupt 0000:00:10.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:10.0: UHCI Host Controller
uhci_hcd 0000:00:10.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:10.0: irq 11, io base 0x0000eea0
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:10.1[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:10.1: UHCI Host Controller
uhci_hcd 0000:00:10.1: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:10.1: irq 11, io base 0x0000eec0
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:10.2[B] -> Link [LNKB] -> GSI 3 (level, low) -> IRQ 3
uhci_hcd 0000:00:10.2: UHCI Host Controller
uhci_hcd 0000:00:10.2: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:10.2: irq 3, io base 0x0000ef00
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:10.3[B] -> Link [LNKB] -> GSI 3 (level, low) -> IRQ 3
uhci_hcd 0000:00:10.3: UHCI Host Controller
uhci_hcd 0000:00:10.3: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:10.3: irq 3, io base 0x0000ef20
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
NET: Registered protocol family 10
Disabled Privacy Extensions on device c04756a0(lo)
IPv6 over IPv4 tunneling driver
nvidia: module license 'NVIDIA' taints kernel.
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
NVRM: loading NVIDIA Linux x86 NVIDIA Kernel Module  1.0-7667  Fri Jun 17
07:01:04 PDT 2005
agpgart: Found an AGP 3.5 compliant device at 0000:00:00.0.
agpgart: Putting AGP V3 device at 0000:00:00.0 into 8x mode
agpgart: Putting AGP V3 device at 0000:01:00.0 into 8x mode
agpgart: Found an AGP 3.5 compliant device at 0000:00:00.0.
agpgart: Putting AGP V3 device at 0000:00:00.0 into 8x mode
agpgart: Putting AGP V3 device at 0000:01:00.0 into 8x mode
ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
ACPI: Sleep Button (CM) [SLPB]
ibm_acpi: ec object not found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
cdrom: open failed.
cdrom: open failed.
EXT3 FS on sda1, internal journal
ReiserFS: md0: found reiserfs format "3.6" with standard journal
ReiserFS: md0: using ordered data mode
ReiserFS: md0: journal params: device md0, size 8192, journal first block 18,
max trans len 1024, max batch 900, max commit age 30, max trans age 30
ReiserFS: md0: checking transaction log (md0)
ReiserFS: md0: Using r5 hash to sort names
ReiserFS: sda5: found reiserfs format "3.6" with standard journal
ReiserFS: sda5: using ordered data mode
ReiserFS: sda5: journal params: device sda5, size 8192, journal first block 18,
max trans len 1024, max batch 900, max commit age 30, max trans age 30
ReiserFS: sda5: checking transaction log (sda5)
ReiserFS: sda5: Using r5 hash to sort names
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
ReiserFS: sdb1: found reiserfs format "3.6" with standard journal
ReiserFS: sdb1: using ordered data mode
ReiserFS: sdb1: journal params: device sdb1, size 8192, journal first block 18,
max trans len 1024, max batch 900, max commit age 30, max trans age 30
ReiserFS: sdb1: checking transaction log (sdb1)
ReiserFS: sdb1: Using r5 hash to sort names
Adding 1052248k swap on /dev/sda3.  Priority:-1 extents:1
eth0: network connection up using port A
    speed:           100
    autonegotiation: yes
    duplex mode:     full
    flowctrl:        symmetric
    irq moderation:  disabled
    scatter-gather:  enabled
Bluetooth: Core ver 2.7
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.7
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM ver 1.5
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
eth0: no IPv6 routers present
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
lp0: using parport0 (interrupt-driven).
lp0: console ready



Version-Release number of selected component (if applicable):
all 2.6.4-1.xxxx_FC4 kernel rpms

How reproducible:
every time

Steps to Reproduce:
1.install 2.6.14-1.xxxx_FC4 rpm
2.reboot
3.select new kernel in GRUB menu
  
Actual results:

kernel panic like so:

Booting 'Fedora Core (2.6.14-1.1656_FC4)'

root (hd0,0)
Filesystem type is ext2fs, partition type 0x83
kernel /boot/vmlinuz-2.6.14-1.1656_FC4 ro root=LABEL=/ quiet
[Linux-bzimage, setup=0x1e00, size=0x178b66]
initrd /boot/initrd-2.6.14-1.1656_FC4.img
[Linux-initrd @ 0x37ec7000, 0x128125 bytes]

Uncompressing Linux... OK, booting the kernel.
Red Hat nash version 4.2.15 starting
mkrootdev: label / not found
mount: error 2 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
switchroot: mount failed: 22
Kernel panic - not syncing: Attempted to kill init!

Expected results:

should boot normally

Additional info:

I was able to boot a vanilla 2.6.14 kernel so this says to me that something is
funky and/or missing from the 2.6.14 FC4 rpm.
Comment 1 Dave Jones 2006-01-17 00:14:50 EST
This looks odd.

mkrootdev: label / not found

Can you paste your /etc/fstab, and the output of e2label from the device that
your / is supposed to be on ?
Comment 2 Mark Luntzel 2006-01-17 02:47:06 EST
[mark@toecutter ~]$ cat /etc/fstab 
# This file is edited by fstab-sync - see 'man fstab-sync' for details
LABEL=/                 /                       ext3    defaults        1 1
/dev/devpts             /dev/pts                devpts  gid=5,mode=620  0 0
/dev/shm                /dev/shm                tmpfs   defaults        0 0
/dev/md0                /home                   reiserfs defaults        1 2
/dev/sda5               /mp3                    reiserfs defaults        1 2
/dev/proc               /proc                   proc    defaults        0 0
/dev/sys                /sys                    sysfs   defaults        0 0
LABEL=/var              /var                    ext3    defaults        1 2
/dev/sdb1               /video                  reiserfs defaults        1 2
LABEL=SWAP-sda3         swap                    swap    defaults        0 0
/dev/hda                /media/cdrom            auto    pamconsole,exec,noauto,managed 0 0

[mark@toecutter ~]$ sudo e2label /dev/sda1
/
[mark@toecutter ~]$ 
Comment 3 Dave Jones 2006-01-19 02:15:31 EST
label looks ok. must be a driver issue.
What disk hardware do you have ?
And can you paste /etc/modprobe.conf please ?
Comment 4 Dave Jones 2006-01-19 02:16:32 EST
if you get chance, testing the 2.6.15 update from update-testing would be good
to know if that suffers the same problem..
Comment 5 Mark Luntzel 2006-01-19 02:38:20 EST
its an SiL 3114 SATA Raid PCI card. 4 SATA drives hanging off of it. do you need the make/model of the 
drives?

FWIW I did try commenting out the first scsi_hostadapter alias below as there is nothing on that bus. 
same effect, though. so some sort of problem with the sil driver? 

[root@toecutter ~]# cat /etc/modprobe.conf
alias eth0 sk98lin
alias char-major-61 lirc_i2c
alias scsi_hostadapter sata_via
alias snd-card-0 snd-via82xx
options snd-card-0 index=0
install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx && /usr/sbin/alsactl restore >/dev/
null 2>&1 || :
remove snd-via82xx { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; }; /sbin/modprobe -r --ignore-
remove snd-via82xx
alias usb-controller1 uhci-hcd
# ivtv modules setup
alias char-major-81 ivtv
alias char-major-81-0 ivtv
install lirc_i2c /sbin/modprobe ivtv; /sbin/modprobe --ignore-install lirc_i2c
alias msp3400 msp3400-ivtv
alias tveeprom tveeprom-ivtv
alias snd-card-1 quickcam
options snd-card-1 index=1
# nvidia kernel module
#alias char-major-195 nvidia-1_0-7667
#alias nvidia nvidia-1_0-7667
alias char-major-195 nvidia
alias nvidia nvidia
#alias char-major-81 videodev
#alias char-major-81-0 ivtv
#alias char-major-81-1 ivtv
#alias char-major-81-2 ivtv
alias scsi_hostadapter1 sata_sil
Comment 6 Mark Luntzel 2006-01-19 11:25:35 EST
2.6.15-1.1824_FC4 from updates-testing boots without problems
Comment 7 Dave Jones 2006-01-19 17:17:35 EST
ok thanks, must be a driver problem.  As soon as the udev update is ready, I'll
push out an 1825 fixing a few other odds and ends.
Comment 8 Dave Jones 2006-02-03 02:33:49 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.